Get error messages from your hosting account

View and troubleshoot errors that have occurred on your hosting. This is useful when your website is not functioning as expected or if you suspect server issues.

Web Hosting Services Hosting Accounts

Context

Where to get IDs / values

Path Parameters

accountId integer · min: 1 required Example: 20000

Unique account identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.accountId string required · Example: 20000
data.content string required · Example:
data.count integer required · Example: 0
data.cpanelUsername string required · Example: xkqjm
data.lines array<object> required · Example: []
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

500
code string required · Example: INTERNAL_ERROR

Machine-readable error code.

error string required · Example: Internal Server Error

HTTP status title (e.g. 'Bad Request').

message string required · Example: An unexpected error occurred

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/hosting/{accountId}/error-log
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/hosting/20000/error-log" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "accountId": "20000",
    "cpanelUsername": "xkqjm",
    "content": "",
    "lines": [],
    "count": 0
  }
}